<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Contact1 extends CI_Controller {
    
    function __construct() {
        parent::__construct();
		$this->load->model("Njega_model","njega");
        $this->load->helper('url_helper');
        $this->load->helper('cookie');
		$this->load->helper('form');
        $this->load->library('form_validation');
		
		if($this->session->userdata('role_id') == 1) {
            $this->session->set_flashdata('message2', 'You don\'t have access!');
            redirect('Landing/index');
        }
        if(empty($this->session->userdata('id'))) {
            $this->session->set_flashdata('message2', 'You don\'t have access!');
            redirect('');
        }
    }
    
    public function index($payment_id,$tenant_id,$id,$date_payed){
        
        $mail = $this->njega->get_myemail1($tenant_id);
        
            $email= $mail['address'];
            $firstname= $mail['firstname'];
            
            // Validate submitted form data
            
            //var_dump($payment_id); exit();
                
                // Define email data
                $mailData = array(
                    
                    'firstname' => $firstname,
                    'paymentid' =>$payment_id,
                    'tenantid' =>$tenant_id,
                    'id' =>$id,
                    'datepayed' =>$date_payed,
                    'subject' => "Please click on the link below to view your receipt..",
                    'message' => "https://mwemalineagencies.com/login/index.php/welcome/issuereceipt/$payment_id/$tenant_id/$id/$date_payed",
                    'email' => $email
                );
                
                //var_dump($mailData); exit();
                
                // Send an email to the site admin
                $send = $this->sendEmail($mailData);
                
                // Check email sending status
                if($send){
                    // Unset form data
                    
                     $this->session->set_flashdata('message', 'Your mail has been sent successfully..Thanks');
                     redirect(base_url()."index.php/admin/index1");
                 
                }else{
                    
                    $this->session->set_flashdata('message1', 'Some problems occured, please try again.');
                    redirect(base_url()."index.php/admin/index1");
                }
        
    }
    
    private function sendEmail($mailData){
        // Load the email library
        $this->load->library('email');
        
        // Mail config
        $to = $mailData['email'];
        $from = 'info@mwemalineagencies.com';
        $fromName = 'Mwema-Line Agencies';
        $mailSubject = 'Agency Receipt';
        
        // Mail content
        $mailContent = '
            <h2>Receipt</h2>
            <p><b>Hello '.$mailData['firstname'].', </b>'.$mailData['subject'].'</p>
            <p>'.$mailData['message'].'</p>
        ';
            
        $config['mailtype'] = 'html';
        $this->email->initialize($config);
        $this->email->to($to);
        $this->email->from($from, $fromName);
        $this->email->subject($mailSubject);
        $this->email->message($mailContent);
        
        // Send email & return status
        return $this->email->send()?true:false;
    }
    
}