<?php
 
class Receptionist extends CI_Controller
{
 
    function __construct() {
        parent::__construct();
        $this->load->model("Njega_model","njega");
        $this->load->helper('url_helper');
        $this->load->helper('cookie');
        $this->load->helper('form');
        $this->load->library('form_validation');
        
        if($this->session->userdata('role_id') == 2) {
            $this->session->set_flashdata('message2', 'You don\'t have access!');
            redirect('Landing/index');
        }
        if(empty($this->session->userdata('id'))) {
            $this->session->set_flashdata('message2', 'You don\'t have access!');
            redirect('');
        }
    }


     public function index()
        {
            $data['tbl_appartments'] = $this->njega->get_appartments1();
            $data['path'] = APPPATH;
                $this->load->view('pages1/header');
                $this->load->view('receptionist/home',$data);
                $this->load->view('pages1/footer');
                
        }

     public function changepass()
        {
           $data['oldpass']= "";
           $data['newpass']= "";
           $data['confnew'] = "";
        
           if($_SERVER['REQUEST_METHOD']=='POST'){
            $old = $_POST['oldpass'];
            $new = $_POST['newpass'];
            $conf = $_POST['confnew'];
            $user = $this->njega->getuser();
        
            // get old password         
            $db_pass= $user['password'];
            $old = ($old);
            
            //compare old password
            if($old!==$db_pass){
                $this->session->set_flashdata('message1','Your password does not match the current password!');
            }else{
                //compare new passwords
                if($new !== $conf){
                    $this->session->set_flashdata('message1','New Password & Confirm Password should match!');
                }else{
                    // encode new password
                    $new_hashed = ($new);
                    // save to db
                    $this->njega->update_password($new_hashed);
                    $this->session->set_flashdata('message','Password Update Successful..');
                    redirect('Landing/index');
                    
                }
            }
            
            
            
           }
            
            $this->load->view('pages1/header');   
            $this->load->view('receptionist/changepass', $data);
            $this->load->view('pages1/footer');              
            
        
        }   

     public function index1()
        {
            
            $data['tbl_tenants'] = $this->njega->get_records();
            $data['tbl_appartments'] = $this->njega->get_appartments1();
            $data['tbl_appartments1'] = $this->njega->get_appartments();
            $data['tbl_houses'] = $this->njega->get_houses();
            $data['company_name'] = $this->njega->get_companyname();
                $this->load->view('pages1/headertbl');
                $this->load->view('receptionist/tenantrecords',$data);
                $this->load->view('pages1/footertbl');
                
        }

        public function gettenantrecords()
    {
        $stu_id = $_POST['stu_id'];
        $data['tbl_tenants']  = $this->njega->gettenantrecords($stu_id);
        //$this->load->view('supervisor/header');
        $this->load->view('pages1/headertbl');
        $this->load->view("receptionist/modal", $data);
        $this->load->view('pages1/footertbl');
    }     

        public function archives($offset=0)
        {
            $this->load->library('pagination');
            $limit= 10;

            $config['base_url'] = site_url('Receptionist/index/'); 
            $config['total_rows'] = $this->njega->users_total_rows1();
            $config['per_page'] = $limit;
            $config['full_tag_open'] = '<ul class="pagination">';
            $config['full_tag_close'] = '</ul>';
            $config['num_tag_open'] = "<li>";
            $config['num_tag_close'] = "</li>";
            $config['first_tag_open'] = "<li>";
            $config['first_tag_close'] = "</li>";
            $config['last_tag_open'] = "<li>";
            $config['last_tag_close'] = "</li>";
            $config['next_tag_open'] = "<li>";
            $config['next_tag_close'] = "</li>";
            $config['prev_tag_open'] = "<li>";
            $config['prev_tag_close'] = "</li>";
            $config['cur_tag_open'] = "<li class=' active'><a>";
            $config['cur_tag_close'] = "</a></li>";

            $this->pagination->initialize($config);         

            
            $data['tbl_tenants'] = $this->njega->get_archives($offset, $limit);
            $data['tbl_appartments'] = $this->njega->get_archives1();
                $this->load->view('receptionist/archives',$data);
                $this->load->view('pages1/footer');
                
        } 

     public function payments()
        {

            $data['tbl_payment'] = $this->njega->get_payment1();
            $data['tbl_appartments'] = $this->njega->get_appartments1();
            $data['company_name'] = $this->njega->get_companyname();
                $this->load->view('pages1/headertbl');
                $this->load->view('receptionist/payments',$data);
                $this->load->view('pages1/footertbl');
                
        }
        
     public function paymentswater()
        {

            $data['tbl_payment'] = $this->njega->get_payment1water();
            $data['tbl_appartments'] = $this->njega->get_appartments1();
            $data['company_name'] = $this->njega->get_companyname();
                $this->load->view('pages1/headertbl');
                $this->load->view('receptionist/paymentswater',$data);
                $this->load->view('pages1/footertbl');
                
        }    
        
    public function delete_rec1($id)
           {
                 $this->njega->delete_rec1($id);
                 $this->session->set_flashdata('message', 'Payment Record deleted successfuly..');
                 redirect('receptionist/payments');
           }  
           
    public function delete_payrecord($payment_id, $tenant_id)
    
           {
               
                 $this->njega->delete_payrecord($payment_id, $tenant_id);
                 $this->session->set_flashdata('message', 'Record deleted successfuly..');
                 redirect('receptionist/index1');
           }         

     public function updaterentpayed()
           {
              $id = $_POST['tenantid'];

                 $this->njega->updaterentpayed1($id);
                 $this->session->set_flashdata('message', 'Amount Changed Successfully..');
                 redirect('receptionist/payments');
           }
           
     public function updatewater()
           {
              $id = $_POST['tenantid'];

                 $this->njega->updatewater($id);
                 $this->session->set_flashdata('message', 'Water Readings Changed Successfully..');
                 redirect('receptionist/paymentswater');
           }       

     public function update_balance()
           {
              $id = $_POST['tenantid'];

                 $this->njega->update_balance($id);
                 $this->session->set_flashdata('message', 'Balance Updated Successfully..');
                 redirect('receptionist/index1');
           }      

     public function update_agencyinfo()
           {
              $id = $_POST['agencyid'];

                 $this->njega->update_agencyinfo($id);
                 $this->session->set_flashdata('message', 'Info Changed Successfully..');
                 redirect('receptionist/agency_info');
           }       

     public function updateappartment()
           {
              $id = $_POST['tenantid'];

                 $this->njega->updateappartment($id);
                 $this->session->set_flashdata('message', 'Appartment Edited Successfully..');
                 redirect('receptionist/appartment1');
           }   

    public function tenant_detail()
           {
              $id = $_POST['tenantid'];

                 $this->njega->tenant_detail($id);
                 $this->session->set_flashdata('message', 'Details Added Successfully..');
                 redirect('receptionist/archives');
           }

     public function issuereceipt($id,$tenant_id,$recordid,$date)
        {
            $this->njega->get_issuereceipt1($id,$tenant_id,$recordid,$date);

           
               $data = array( 'payment_id' => $id
               ); 
               
               $data = array( 'tenant_id' => $tenant_id
               );
               
               $data = array( 'id' => $recordid
               );
               
               $data = array( 'date' => $date
               );
               
               //var_dump($id); exit();
               
                $data['tbl_payment'] = $this->njega->get_issuereceipt1($id,$tenant_id,$recordid,$date);
                $data['tbl_paymenttotal'] = $this->njega->get_issuereceipt1_total($tenant_id,$recordid,$date);
                $data['tbl_company'] = $this->njega->get_companydetails();
                $data['tenantpaymentsungrpdrcpt'] = $this->njega->get_tenantpaymentsungrpdrcpt($tenant_id,$date);
                $this->load->view('pages1/headertbl');
                $this->load->view('receptionist/issuereceipt1',$data);
                $this->load->view('pages1/footertbl');
                
        }
        
        public function issuereceiptx($id,$tenant_id,$date)
        {
               
            $this->njega->get_issuereceipt1pay($id,$tenant_id,$date);

           
               $data = array( 'id' => $id
               ); 
               
               $data = array( 'tenant_id' => $tenant_id
               );
               
               $data = array( 'date' => $date
               );
               
               //var_dump($id); exit();
               
                $data['tbl_payment'] = $this->njega->get_issuereceipt1x($id,$tenant_id,$date);
                $data['tbl_paymenttotal'] = $this->njega->get_issuereceipt1_totala($tenant_id,$date);
                $data['tbl_company'] = $this->njega->get_companydetails();
                $data['tenantpaymentsungrpdrcpt'] = $this->njega->get_tenantpaymentsungrpdrcpt($tenant_id,$date);
                $this->load->view('pages1/headertbl');
                $this->load->view('receptionist/issuereceipt1',$data);
                $this->load->view('pages1/footertbl');
                
        }
        
     public function profile1($tenant_id)
        {
                
                 $data['tenantsprof'] = $this->njega->get_tenantsprofile1($tenant_id);
                 $data['tenantsid'] = $this->njega->get_tenantsid1($tenant_id);
                 $data['tenantpayments'] = $this->njega->get_tenantpayments1($tenant_id);
                 $this->load->view('pages1/header');
                 $this->load->view('receptionist/profile',$data);
                 $this->load->view('pages1/footertbl');
                
        }

     public function issueinvoice($tenant_id)
           {
               $this->njega->get_invtenantpayments($tenant_id);
           
               $data = array( 'id' => $tenant_id
               ); 
               //$data['tbl_payment'] = $this->njega->get_invpayment($tenant_id);
               $data['tbl_payment'] = $this->njega->get_invtenantpayments($tenant_id);
               $data['tbl_company'] = $this->njega->get_company_info();
                $this->load->view('pages1/headerprint');
                $this->load->view('receptionist/issueinvoice',$data);
                $this->load->view('pages1/footer');  
           }        

     public function updatehouse()
           {
              $id = $_POST['tenantid'];

                 $this->njega->updatehouse($id);
                 $this->session->set_flashdata('message', 'House data Edited Successfully..');
                 redirect('receptionist/house1');
           }  

     public function deposits()
           {
              $id = $_POST['tenantid'];

                 $this->njega->deposits($id);
                 $this->session->set_flashdata('message', 'Deposit Saved Successfully..');
                 redirect('receptionist/index1');
           }                            

     public function querypayments()
        {
           $data['date1']= "";
           $data['date2']= "";
           $data['tbl_diagnosis'][0]['total'] = "";
           $data['tbl_diagnosis'][0]['total1'] = "";
        
           if($_SERVER['REQUEST_METHOD']=='POST'){
            $date1 = $_POST['date1'];
            $date2 = $_POST['date2'];
           
           $data['date1'] = $date1;
           $data['date2'] = $date2;
           
           $data['tbl_diagnosis']= $this->njega->totaling1($date1,$date2);
           $data['tbl_breakdown']= $this->njega->get_dailysale1($date1,$date2);

           }
           $data['tbl_appartments'] = $this->njega->get_appartments1();
                $this->load->view('pages1/headertbl');
                $this->load->view('receptionist/querypayments',$data);
                $this->load->view('pages1/footertbl');      
                
        }

        public function recover($id)
    {
                 $this->njega->recover($id);
                 $this->session->set_flashdata('message', 'Tenant recovered successfuly..');
                 redirect('receptionist/archives');
    } 

     public function shift_tenant()
    {
                 $this->njega->update_tenantinfo();
                 $this->njega->update_oldhouse();
                 $this->njega->update_newhouse();
                 $this->session->set_flashdata('message', 'Tenant shifted successfuly..');
                 redirect('receptionist/index1');
    }     

     public function delete()
    {
                 $this->njega->delete();
                 $this->njega->vacate();
                 $this->njega->delete_past_paymentrecords();
                 $this->session->set_flashdata('message', 'Tenant vacated successfuly..');
                 redirect('receptionist/index1');
    }    

    public function delete1($id)
    {
                 $this->njega->delete1($id);
                 $this->session->set_flashdata('message', 'Appartment deleted successfuly..');
                 redirect('receptionist/appartment1');
    }     

    public function delete2($id)
    {
                 $this->njega->delete2($id);
                 $this->session->set_flashdata('message', 'House deleted successfuly..');
                 redirect('receptionist/house1');
    }   

    public function delete3($id)
    {
                 $this->njega->delete3($id);
                 $this->session->set_flashdata('message', 'User deleted successfuly..');
                 redirect('receptionist/systemusers');
    }

    public function register()
        {
            $data['tbl_appartments'] = $this->njega->get_appartments();
            $data['tbl_houses'] = $this->njega->get_houses();
                $this->load->view('pages1/headerfrm');
                $this->load->view('receptionist/register',$data);
                $this->load->view('pages1/footerfrm');
                
        }

    public function registertenant()
           {

            $houseid = $_POST['houseno'];

                 $this->load->helper('form');
                 $this->load->library('form_validation');

                 $this->form_validation->set_rules('firstname', 'firstname','required');
                 $this->form_validation->set_rules('lastname', 'lastname');
                 $this->form_validation->set_rules('address', 'address');
                 $this->form_validation->set_rules('phone', 'phone');
                 $this->form_validation->set_rules('occupation', 'occupation');
                 $this->form_validation->set_rules('appartment', 'appartment','required');
                 $this->form_validation->set_rules('houseno', 'houseno','required');
                 $this->form_validation->set_rules('dateoccupied', 'dateoccupied','required');


        if ($this->form_validation->run() === FALSE)
           {
               
                 $this->session->set_flashdata('message1', 'Sorry!..Validation error. Try again!');
                 redirect('receptionist/register');
                 
           }
        else
          {
                
                 $this->njega->registertenant(); //Inserting tenant record

                 $insertId = $this->db->insert_id(); //Getting last id entered after registertenant

                 $this->njega->occupy_house($houseid); //Setting selected house as occupied
                 
                 $this->njega->inserttotblpayments($insertId); //Inserting tenant ID into tbl_payment table

                 $this->session->set_flashdata('message', 'Tenant registered successfully..');

          }     

                 //$insertId1 = $this->input->post('tenantid');
                 redirect(base_url()."index.php/receptionist/insertphotos/".$insertId);
                 //redirect('Receptionist/register');
                 

      }

    public function add_agency_info()
           {

                 $this->load->helper('form');
                 $this->load->library('form_validation');

                 $this->form_validation->set_rules('name', 'name','required');
                 $this->form_validation->set_rules('tagline', 'tagline','required');
                 $this->form_validation->set_rules('email', 'email','required');
                 $this->form_validation->set_rules('phone', 'phone','required');
                 $this->form_validation->set_rules('location', 'location','required');
                 $this->form_validation->set_rules('address', 'address','required');


        if ($this->form_validation->run() === FALSE)
           {
               
                 $this->session->set_flashdata('message1', 'Sorry!..Validation error. Try again!');
                 redirect('receptionist/agency_info');
                 
           }
        else
          {
                
                 $this->njega->add_agency_info(); //Inserting tenant record

                 $insertId = $this->db->insert_id(); //Getting last id entered after registertenant

                 $this->session->set_flashdata('message', 'Company Info Added successfully..');

          }     

                 //$insertId1 = $this->input->post('tenantid');
                 redirect(base_url()."index.php/receptionist/insert_companylogo/".$insertId);
                 //redirect('Receptionist/register');
                 

      }  

    public function add_user()
           {


                 $this->load->helper('form');
                 $this->load->library('form_validation');

                 $this->form_validation->set_rules('firstname', 'firstname','required');
                 $this->form_validation->set_rules('lastname', 'lastname','required');
                 $this->form_validation->set_rules('phone', 'phone','required');
                 $this->form_validation->set_rules('email', 'email','required');
                 $this->form_validation->set_rules('idno', 'idno','required');
                 $this->form_validation->set_rules('role', 'role','required');
                 $this->form_validation->set_rules('password', 'password','required');


        if ($this->form_validation->run() === FALSE)
           {
               
                 $this->session->set_flashdata('message1', 'Sorry!..Validation error. Try again!');
                 redirect('receptionist/systemusers');
                 
           }
        else
          {
                
                 $this->njega->add_systemuser(); 
                 $this->session->set_flashdata('message', 'User Added successfully..');    
                 redirect('receptionist/systemusers');

          }       
      }   

    public function insertphotos($insertId)
        {
            $data = array( 'id' => $insertId
               ); 
                $data['tbl_tenants'] = $this->njega->get_tenantid($insertId);
                $this->load->view('pages1/header');
                $this->load->view('receptionist/photos',$data);
                $this->load->view('pages1/footer');              
            
        }

    public function insert_companylogo($insertId)
        {
            $data = array( 'id' => $insertId
               ); 
                $data['tbl_company'] = $this->njega->get_companyinfo($insertId);
                $this->load->view('pages1/header');
                $this->load->view('receptionist/companylogo',$data);
                $this->load->view('pages1/footer');              
            
        }    

    public function changephoto($insertId)
        {
            $data = array( 'id' => $insertId
               ); 
                $data['tbl_tenants'] = $this->njega->get_tenantid($insertId);
                $this->load->view('pages1/header');
                $this->load->view('receptionist/change_photo',$data);
                $this->load->view('pages1/footer');              
            
        }    

    public function insert_idphotos($insertId)
        {
            $data = array( 'id' => $insertId
               ); 
                $data['tbl_tenants'] = $this->njega->get_tenantid($insertId);
                $this->load->view('pages1/header');
                $this->load->view('receptionist/idphotos',$data);
                $this->load->view('pages1/footer');              
            
        }     

    public function do_upload()
       {

        $image_path = "./tenantpics/images";

           $config['upload_path'] = $image_path;
           $config['allowed_types'] = "gif|jpg|png|jpeg|pdf";
           $config['max_size'] = "2048000"; // Can be set to particular file size , here it is 2 MB(2048 Kb)
           $config['max_height'] = "5000";
           $config['max_width'] = "5000";

                     $this->upload->initialize($config);
                     $this->load->library('upload', $config);
                     if($this->upload->do_upload('userfile'))

                {
                    
                    $data = $this->upload->data();
                    $picture = $this->upload->data('file_name');
                    $tenant_id = $this->input->post('photo');

                    $this->njega->update_image($picture,$tenant_id);

                    $row = $this->db->select("*")->limit(1)->order_by('id',"DESC")->get("tbl_tenants")->row(); //Fetching the last id

                    $insertId = $row->id;  //Getting the last id inserted

                     redirect(base_url()."index.php/receptionist/insert_idphotos/".$insertId);
                }
                  else
                    
                {
                     $this->session->set_flashdata('message1', 'Sorry!..Your Image has a problem!');
                    redirect('receptionist/insertphotos');   
                }
       }

    public function update_logo()
       {

        $image_path = "./tenantpics/logo";

           $config['upload_path'] = $image_path;
           $config['allowed_types'] = "gif|jpg|png|jpeg|pdf";
           $config['max_size'] = "2048000"; // Can be set to particular file size , here it is 2 MB(2048 Kb)
           $config['max_height'] = "5000";
           $config['max_width'] = "5000";

                     $this->upload->initialize($config);
                     $this->load->library('upload', $config);
                     if($this->upload->do_upload('userfile'))

                {
                    
                    $data = $this->upload->data();
                    $picture = $this->upload->data('file_name');
                    $tenant_id = $this->input->post('photo');

                    $this->njega->update_logo($picture,$tenant_id);

                     redirect(base_url()."index.php/receptionist/agency_info/");
                }
                  else
                    
                {
                     $this->session->set_flashdata('message1', 'Sorry!..Your Image has a problem!');
                    redirect('receptionist/agency_info');   
                }
       }   

    public function changepic()
       {

        $image_path = "./tenantpics/images";

           $config['upload_path'] = $image_path;
           $config['allowed_types'] = "gif|jpg|png|jpeg|pdf";
           $config['max_size'] = "2048000"; // Can be set to particular file size , here it is 2 MB(2048 Kb)
           $config['max_height'] = "5000";
           $config['max_width'] = "5000";

                     $this->upload->initialize($config);
                     $this->load->library('upload', $config);
                     if($this->upload->do_upload('userfile'))

                {
                    
                    $data = $this->upload->data();
                    $picture = $this->upload->data('file_name');
                    $tenant_id = $this->input->post('photo');

                    $this->njega->update_image($picture,$tenant_id);

                    $row = $this->db->select("*")->limit(1)->order_by('id',"DESC")->get("tbl_tenants")->row(); //Fetching the last id

                    $insertId = $row->id;  //Getting the last id inserted

                     redirect(base_url()."index.php/receptionist/index1");
                }
                  else
                    
                {
                     $this->session->set_flashdata('message1', 'Sorry!..Your Image has a problem!');
                    redirect('receptionist/changephoto');   
                }
       }   

     public function changelogo()
       {

        $image_path = "./tenantpics/logo";

           $config['upload_path'] = $image_path;
           $config['allowed_types'] = "gif|jpg|png|jpeg|pdf";
           $config['max_size'] = "2048000"; // Can be set to particular file size , here it is 2 MB(2048 Kb)
           $config['max_height'] = "5000";
           $config['max_width'] = "5000";

                     $this->upload->initialize($config);
                     $this->load->library('upload', $config);
                     if($this->upload->do_upload('userfile'))

                {
                    
                    $data = $this->upload->data();
                    $picture = $this->upload->data('file_name');
                    $agencyid = $this->input->post('agencyid');

                    $this->njega->update_logoimage($picture,$agencyid);
                     $this->session->set_flashdata('message', 'Your Logo has been changed successfully');
                     redirect(base_url()."index.php/receptionist/agency_info");
                }
                  else
                    
                {
                     $this->session->set_flashdata('message1', 'Sorry!..Your Image has a problem!');
                    redirect('receptionist/agency_info');   
                }
       }     

    public function multiple_files(){
  $this->load->library('upload');
  $image = array();
  $ImageCount = count($_FILES['image_name']['name']);
        for($i = 0; $i < $ImageCount; $i++){
            $_FILES['file']['name']       = $_FILES['image_name']['name'][$i];
            $_FILES['file']['type']       = $_FILES['image_name']['type'][$i];
            $_FILES['file']['tmp_name']   = $_FILES['image_name']['tmp_name'][$i];
            $_FILES['file']['error']      = $_FILES['image_name']['error'][$i];
            $_FILES['file']['size']       = $_FILES['image_name']['size'][$i];

            // File upload configuration
            $uploadPath = "./tenantpics/idimages";
            $config['upload_path'] = $uploadPath;
            $config['allowed_types'] = 'jpg|jpeg|png|gif';

            // Load and initialize upload library
            $this->load->library('upload', $config);
            $this->upload->initialize($config);

            // Upload file to server
            if($this->upload->do_upload('file')){
                // Uploaded file data
                $imageData = $this->upload->data();
                 $uploadImgData[$i]['image_name'] = $imageData['file_name'];
                 $uploadImgData[$i]['user_id'] = $this->input->post('photo');

            }
        }
         if(!empty($uploadImgData)){
            // Insert files data into the database
            $this->njega->multiple_images($uploadImgData);
            $this->session->set_flashdata('message', 'Tenant Registration Successful!');
            redirect('receptionist/index1'); 

        }else{
            $this->session->set_flashdata('message1', 'Image Upload Not Successful!..You can only upload a maximum of 2 Photos');
            redirect('receptionist/insert_idphotos'); 
        }
  }            

    public function profile()
           {
              $id = $_POST['tenantid'];


                 $data['tenantsprof'] = $this->njega->get_tenantsprofile($id);
                 $data['tenantsid'] = $this->njega->get_tenantsid($id);
                 $data['tenantpayments'] = $this->njega->get_tenantpayments($id);
                 $data['tenantpaymentsungrpd'] = $this->njega->get_tenantpaymentsungrpd($id);
                 $data['company_name'] = $this->njega->get_companyname();
                 $this->load->view('pages1/headertbl');
                 $this->load->view('receptionist/profile',$data);
                 $this->load->view('pages1/footertbl');
           }
           
    

    public function profile2($id)
           {

               $data = array( 'id' => $id
               );

                 $data['tenantsprof'] = $this->njega->get_tenantsprofile($id);
                 $data['tenantsid'] = $this->njega->get_tenantsid($id);
                 $data['tenantpayments'] = $this->njega->get_tenantpayments($id);
                 $data['company_name'] = $this->njega->get_companyname();
                 $this->load->view('pages1/headerdate');
                 $this->load->view('receptionist/profile',$data);
                 $this->load->view('pages1/footerdate');
           } 
           
    public function savechange()
           {
            
            $id = $_POST['id']; 


                 $this->load->helper('form');
                 $this->load->library('form_validation');

                 $this->form_validation->set_rules('firstname', 'firstname', 'required');
                 $this->form_validation->set_rules('lastname','lastname');
                 $this->form_validation->set_rules('idno','idno');
                 $this->form_validation->set_rules('ppno','ppno');
                 $this->form_validation->set_rules('email','email');
                 $this->form_validation->set_rules('phone','phone');
                 $this->form_validation->set_rules('occupation','occupation');
                 $this->form_validation->set_rules('nokname','nokname');


        if ($this->form_validation->run() === FALSE)
           {
               
                 $this->session->set_flashdata('message1', 'Sorry!..Validation error. Try again!');
                 redirect(base_url()."index.php/receptionist/profile2/".$id);
                 
           }
        else
          {
                
                 $this->njega->updatemember($id); //Inserting tenant record

                 $this->session->set_flashdata('message', 'Member Info Updated successfully..');

          }     
                 //redirect(base_url()."index.php/receptionist/profile2/".$id);
                 redirect(base_url()."index.php/receptionist/index1");
                 
                 

      }         

      public function reguser()
           {

            
                 $this->load->helper('form');
                 $this->load->library('form_validation');

                 $this->form_validation->set_rules('firstname', 'firstname', 'required');
                 $this->form_validation->set_rules('lastname', 'lastname', 'required');
                 $this->form_validation->set_rules('age', 'age', 'required');
                 $this->form_validation->set_rules('gender', 'gender', 'required');
                 $this->form_validation->set_rules('username', 'username', 'required');
                 $this->form_validation->set_rules('phone', 'phone', 'required');
                 $this->form_validation->set_rules('email', 'email', 'required');
                 $this->form_validation->set_rules('password', 'password', 'required');
                 $this->form_validation->set_rules('residence', 'residence', 'required');
                 $this->form_validation->set_rules('role', 'role', 'required');
                 

        if ($this->form_validation->run() === FALSE)
           {
               
                 $this->session->set_flashdata('message1', 'Sorry!..Validation error. Try again!');
                 redirect('Receptionist/index');
                 
               

           }
        else
          {
                  $this->njega->reguser();

                  $this->session->set_flashdata('message', 'User Added Successfully..');
                 }
                 redirect('receptionist/systemusers');
                 
          }                      

     public function pay_rent()
           {

                 $this->load->helper('form');
                 $this->load->library('form_validation');

                 $this->form_validation->set_rules('tenantid', 'tenantid', 'required');
                 $this->form_validation->set_rules('housenumber', 'housenumber', 'required');
                 $this->form_validation->set_rules('date', 'date', 'required');
                 $this->form_validation->set_rules('rentpayable', 'rentpayable', 'required');
                 $this->form_validation->set_rules('amount', 'amount', 'required');
                 $this->form_validation->set_rules('waterbill', 'waterbill', 'required');
                 $this->form_validation->set_rules('waterbill1', 'waterbill1', 'required');
                 $this->form_validation->set_rules('elecbill', 'elecbill', 'required');
                 $this->form_validation->set_rules('elecpaid', 'elecpaid', 'required');
                 $this->form_validation->set_rules('garbage', 'garbage', 'required');
                 $this->form_validation->set_rules('garbagefee', 'garbagefee', 'required');
                 $this->form_validation->set_rules('appartid', 'appartid', 'required');
                 

        if ($this->form_validation->run() === FALSE)
           {
               
                 $this->session->set_flashdata('message1', 'Sorry!..Validation error. Try again!');
                 redirect('receptionist/index1');
                 
               

           }
        else
          {
                  $this->njega->pay_rent1();

                  $this->session->set_flashdata('message', 'Payment Saved..');
                 }

                 $insertId = $this->db->insert_id();
                 $insertId1 = $this->input->post('tenantid');
                 redirect(base_url()."index.php/receptionist/issuereceipt/".$insertId."/".$insertId1);
                 
          }

     public function update_rent()
           {
               $date = date('Y-m-d');

                 $this->load->helper('form');
                 $this->load->library('form_validation');

                 $this->form_validation->set_rules('tenantid', 'tenantid', 'required');
                 $this->form_validation->set_rules('housenumber', 'housenumber', 'required');
                 $this->form_validation->set_rules('date', 'date', 'required');
                 $this->form_validation->set_rules('rentwaterpayable', 'rentwaterpayable', 'required');
                 $this->form_validation->set_rules('rentwaterpaid', 'rentwaterpaid', 'required');
                 //$this->form_validation->set_rules('waterbill', 'waterbill', 'required');
                 //$this->form_validation->set_rules('waterbill1', 'waterbill1', 'required');
                 //$this->form_validation->set_rules('elecbill', 'elecbill', 'required');
                 //$this->form_validation->set_rules('elecpaid', 'elecpaid', 'required');
                 //$this->form_validation->set_rules('garbage', 'garbage', 'required');
                 $this->form_validation->set_rules('garbagefee', 'garbagefee', 'required');
                 $this->form_validation->set_rules('paymentmode', 'paymentmode', 'required');
                 $this->form_validation->set_rules('appartid', 'appartid', 'required');
                 

        if ($this->form_validation->run() === FALSE)
           {
               
                 $this->session->set_flashdata('message1', 'Sorry!..Validation error. Try again!');
                 redirect('receptionist/index1');
                 
               

           }
        else
          {
                  $this->njega->update_rent1();

                  $this->session->set_flashdata('message', 'Payment Saved..');
                 }
                 

                 $insertId = $this->db->insert_id();
                 $insertId1 = $this->input->post('tenantid');
                 redirect(base_url()."index.php/receptionist/issuereceiptx/".$insertId."/".$insertId1."/".$date);
                 
          }     

     public function addappartment()
           {
                 $this->load->helper('form');
                 $this->load->library('form_validation');

                 $this->form_validation->set_rules('appartment', 'appartment', 'required');
                 $this->form_validation->set_rules('date', 'date', 'required');
                 

        if ($this->form_validation->run() === FALSE)
           {
               
                 $this->session->set_flashdata('message1', 'Sorry!..Validation error. Try again!');
                 redirect('receptionist/appartment');
                 
               

           }
        else
          {
                  $this->njega->addappartment();

                  $this->session->set_flashdata('message', 'Appartment Added..');
                 }
                 redirect('receptionist/appartment');
                 
          }

      public function addhouse()
           {
                 $this->load->helper('form');
                 $this->load->library('form_validation');

                 $this->form_validation->set_rules('house', 'house', 'required');
                 $this->form_validation->set_rules('appartmentid', 'appartmentid', 'required');
                 $this->form_validation->set_rules('rent', 'rent', 'required');
                 

        if ($this->form_validation->run() === FALSE)
           {
               
                 $this->session->set_flashdata('message1', 'Sorry!..Validation error. Try again!');
                 redirect('receptionist/house');
                 
               

           }
        else
          {
                  $this->njega->addhouse();

                  $this->session->set_flashdata('message', 'House Added..');
                 }
                 redirect('receptionist/house');
                 
          }    

      public function primeways()
        {
            $data['tbl_tenants'] = $this->njega->primeways();
            $data['tbl_appartments'] = $this->njega->get_appartments1();
                $this->load->view('receptionist/primeways',$data);
                $this->load->view('pages1/footer');              
            
        }

        public function mercytowers()
        {
            $data['tbl_tenants'] = $this->njega->mercytowers();
            $data['tbl_appartments'] = $this->njega->get_appartments1();
                $this->load->view('receptionist/mercytowers',$data);
                $this->load->view('pages1/footer');              
            
        }

        public function royal()
        {
            $data['tbl_tenants'] = $this->njega->royal();
            $data['tbl_appartments'] = $this->njega->get_appartments1();
                $this->load->view('receptionist/royal',$data);
                $this->load->view('pages1/footer');              
            
        }

        public function victorious()
        {
            $data['tbl_tenants'] = $this->njega->victorious();
                $this->load->view('receptionist/victorious',$data);
                $this->load->view('pages1/footer');              
            
        }

        public function gilfilan()
        {
            $data['tbl_tenants'] = $this->njega->gilfilan();
            $data['tbl_appartments'] = $this->njega->get_appartments1();
                $this->load->view('receptionist/gilfilan',$data);
                $this->load->view('pages1/footer');              
            
        }          

        public function lenana()
        {
            $data['tbl_tenants'] = $this->njega->lenana();
            $data['tbl_appartments'] = $this->njega->get_appartments1();
                $this->load->view('receptionist/lenana',$data);
                $this->load->view('pages1/footer');              
            
        }

        public function skylux()
        {
            $data['tbl_tenants'] = $this->njega->skylux();
            $data['tbl_appartments'] = $this->njega->get_appartments1();
                $this->load->view('receptionist/skylux',$data);
                $this->load->view('pages1/footer');              
            
        } 

     public function postappartment()
     {
 
        $date = date('Y-m-d');
        $appartment = $this->input->post('appartment');
        $landlord = $this->input->post('landlord');
        $waterunit = $this->input->post('waterunit');
        $garbage = $this->input->post('garbage');
        $commission = $this->input->post('commission');
        $bankinfo = $this->input->post('bankinfo');
        //initially $i=1; was $i=0;
        for($i=1;$i<sizeof($appartment);$i++)
          {
            $dataSet[$i] = array('name' => $appartment[$i], 'bankinfo' => $bankinfo[$i], 'water_unit' => $waterunit[$i], 'landlord' => $landlord[$i], 'garbage_fee' => $garbage[$i],'commission' => $commission[$i],'date_created'=>$date);
           
          }
          

          $this->njega->postappartment($dataSet);
          $this->session->set_flashdata('message', 'Appartments added successfully..');
          redirect('receptionist/appartment');
        }

     public function posthouse()
     {
 
        $date = date('Y-m-d');
        $appartment = $this->input->post('appartment');
        $house = $this->input->post('house');
        $waterdep = $this->input->post('water_dep');
        $elecdep = $this->input->post('elec_dep');
        $description = $this->input->post('description');
        $rent_payable = $this->input->post('rent_payable');

        //initially $i=1; was $i=0;
        for($i=1;$i<sizeof($house);$i++)
          {
            $dataSet[$i] = array('appart_id' => $appartment[$i], 'house_no' => $house[$i],'water_dep' => $waterdep[$i],'elec_dep' => $elecdep[$i],'description' => $description[$i], 'rent_payable' => $rent_payable[$i],'date_created'=>$date);
           
          }
          

          $this->njega->posthouse($dataSet);
          $this->session->set_flashdata('message', 'Houses added successfully..');
          redirect('receptionist/house');
        } 

     public function agency_info()
        {
            $data['tbl_company'] = $this->njega->get_company_info();
            $data['company_name'] = $this->njega->get_companyname();
                $this->load->view('pages1/header');
                $this->load->view('receptionist/agencyinfo',$data);
                $this->load->view('pages1/footer');
                
        }                 

     public function appartment()
        {
            $data['tbl_appartments'] = $this->njega->get_appartments1();
            $data['tbl_appartments'] = $this->njega->get_allappartments();
                $this->load->view('pages1/header');
                $this->load->view('receptionist/appartment',$data);
                $this->load->view('pages1/footer');
                
        }

     public function close_month($id)
        {
            $data = array( 'id' => $id
               ); 

                $data['tbl_tenants'] = $this->njega->get_tenantsinfo($id);
                $this->load->view('receptionist/housesid',$data);
                $this->load->view('pages1/footer');              
            
        }

     public function close()
     {
        
        $paymentid = uniqid();
        $date = $this->input->post('closedate');
        $tenantid = $this->input->post('tenantid');
        $appartid = $this->input->post('appartid');
        $houseno = $this->input->post('houseno');
        $rentpayable = $this->input->post('rentpayable');
        $prevwater = $this->input->post('prevwater');
        $currwater = $this->input->post('currwater');
        $waterunit = $this->input->post('waterunit');
        $garbagefee = $this->input->post('garbagefee');
        $discount = $this->input->post('discount');
        //initially $i=1; was $i=0;
        for($i=0;$i<sizeof($tenantid);$i++)
          {
            $dataSet[$i] = array('payment_id'=> $paymentid, 'tenant_id' => $tenantid[$i], 'appart_id' => $appartid[$i], 'house_no' => $houseno[$i], 'rent_payable' => $rentpayable[$i], 'prev_water' => $prevwater[$i], 'curr_water' => $currwater[$i], 'water_unit' => $waterunit[$i], 'garbage_fee' => $garbagefee[$i], 'discount' => $discount[$i],'date_payed'=>$date);
           
          }
          

          $this->njega->close($dataSet);
          $this->session->set_flashdata('message', 'Month closed successfully..');
          redirect('receptionist/appartment1');
        }
        
     public function closesingle()
           {
                 $this->load->helper('form');
                 $this->load->library('form_validation');

                 $this->form_validation->set_rules('tenantid', 'tenantid', 'required');
                 $this->form_validation->set_rules('appartid', 'appartid', 'required');
                 $this->form_validation->set_rules('houseno', 'houseno', 'required');
                 $this->form_validation->set_rules('waterunit', 'waterunit', 'required');
                 $this->form_validation->set_rules('garbagefee', 'garbagefee', 'required');
                 $this->form_validation->set_rules('rentpayable', 'rentpayable', 'required');
                 $this->form_validation->set_rules('date', 'date', 'required');
                 

        if ($this->form_validation->run() === FALSE)
           {
               
                 $this->session->set_flashdata('message1', 'Sorry!..Validation error. Try again!');
                 redirect('receptionist/index1');
                 
               

           }
        else
          {
                  $this->njega->closesingle();

                  $this->session->set_flashdata('message', 'Month Closed Successfully..');
                 }
                 redirect('receptionist/index1');
                 
          }        

     public function appartment1()
        {
            $data['tbl_appartments'] = $this->njega->get_appartment();
            $data['company_name'] = $this->njega->get_companyname();
                $this->load->view('pages1/headertbl');
                $this->load->view('receptionist/appartment1',$data);
                $this->load->view('pages1/footertbl');
                
        }    
     

     public function house()
        {
            $data['tbl_appartments'] = $this->njega->get_appartments1();
                $this->load->view('pages1/header');
                $this->load->view('receptionist/house',$data);
                $this->load->view('pages1/footer');
                
        }     

     public function house1()
        {
            $data['tbl_houses'] = $this->njega->get_house();
            $data['tbl_appartments'] = $this->njega->get_appartments1();
            $data['company_name'] = $this->njega->get_companyname();
                $this->load->view('pages1/headertbl');
                $this->load->view('receptionist/house1',$data);
                $this->load->view('pages1/footertbl');
                
        }  

     public function systemusers()
        {
            $data['tbl_users'] = $this->njega->systemusers();
            $data['tbl_appartments'] = $this->njega->get_appartments1();
            $data['company_name'] = $this->njega->get_companyname();
                $this->load->view('pages1/headertbl');
                $this->load->view('receptionist/systemusers',$data);
                $this->load->view('pages1/footertbl');              
            
        } 

    public function viewrecords($id)
        {

            $tbl_phones = [];
            $tbl_phonesa = [];
            $tbl_phones1 = [];
            $tbl_phones2 = [];
            $tbl_phones3 = [];
            $tbl_phones4 = [];
            $tbl_phones5 = [];
            $tbl_company = []; 

            if ($this->input->method()=='post') {
                $dates = $this->input->post(); 

                $datey = strtotime($dates['date1'])- (60*60*24);

                $dateys = date('Y-m-d',$datey);

                //var_dump($dateys); exit();
                 
                $tbl_phones=  $this->njega->search_shop_records_by_dates($id, $dates['date1'], $dates['date2']);
                $tbl_phonesa=  $this->njega->search_shop_records_by_datestotal($id, $dates['date1'], $dates['date2']);
                $tbl_phones1=  $this->njega->appartsalestotaling($id, $dates['date1'], $dates['date2']);
                $tbl_phones2=  $this->njega->appartsalestotaling1($id, $dates['datestart'], $dateys, $dates['date2']);
                $tbl_phones3=  $this->njega->appartsalestotaling2($id, $dates['datestart'], $dates['date1'], $dates['date2']);
                $tbl_phones4=  $this->njega->appartsalestotaling4($id, $dates['datestart'], $dateys, $dates['date2']);
                $tbl_phones5=  $this->njega->appartsalestotaling5($id, $dates['datestart'], $dateys, $dates['date2']);
                $tbl_company = $this->njega->get_companydetails();
                //$tbl_phones1=  $this->njega->search_shop_records_by_dates1($id, $dates['date1'], $dates['date2']);
            }

            $grouped = [ 
            ];

            foreach ($tbl_phones2 as $tenant_arrears) {
                $grouped[$tenant_arrears['tenant_id']] = $tenant_arrears;
            }

            $grouped2 = [ 
            ];

            foreach ($tbl_phones3 as $tenant_arrears1) {
                $grouped2[$tenant_arrears1['tenant_id']] = $tenant_arrears1;
            }
            $this->load->view('receptionist/viewrecords', ['tbl_phones'=>$tbl_phones, 'tbl_phonesa'=>$tbl_phonesa, 'shop'=>$this->njega->get_shop($id),'tbl_phones1'=>$tbl_phones1, 'tbl_phones2'=>$tbl_phones2, 'tbl_phones3'=>$tbl_phones3, 'tbl_phones4'=>$tbl_phones4, 'tbl_phones5'=>$tbl_phones5, 'tbl_company'=>$tbl_company, "grouped"=>$grouped, "grouped2"=>$grouped2]);
                
        }
        
    public function getmarks()
    {
        
        $stu_id = $_POST['stu_id'];
        
        
        $data['balance']  = $this->njega->getmarks($stu_id);
        //$this->load->view('supervisor/header');
        $this->load->view("receptionist/modal",$data);
    }            


    public function tenant_invoice()
        {
            
            $id = $_POST['tenantid'];

            $tbl_phones = [];
            $tbl_phonesa = [];
            $tbl_phones1 = [];
            $tbl_phones2 = [];
            $tbl_phones3 = [];
            $tbl_phones4 = [];
            $tbl_phones5 = [];
            $tbl_company = []; 

            if ($this->input->method()=='post') {
                $dates = $this->input->post(); 

                $datey = strtotime($dates['date1'])- (60*60*24);

                $dateys = date('Y-m-d',$datey);

                //var_dump($dateys); exit();
                 
                $tbl_phones=  $this->njega->search_shop_records_by_datesinv($id, $dates['date1'], $dates['date2']);
                $tbl_phonesa=  $this->njega->search_shop_records_by_datestotalinv($id, $dates['date1'], $dates['date2']);
                $tbl_phones1=  $this->njega->appartsalestotalinginv($id, $dates['date1'], $dates['date2']);
                $tbl_phones2=  $this->njega->appartsalestotaling1inv($id, $dates['datestart'], $dateys, $dates['date2']);
                $tbl_phones3=  $this->njega->appartsalestotaling2inv($id, $dates['datestart'], $dates['date1'], $dates['date2']);
                $tbl_phones4=  $this->njega->appartsalestotaling4inv($id, $dates['datestart'], $dateys, $dates['date2']);
                $tbl_phones5=  $this->njega->appartsalestotaling5inv($id, $dates['datestart'], $dateys, $dates['date2']);
                $tbl_company = $this->njega->get_companydetails();
                //$tbl_phones1=  $this->njega->search_shop_records_by_dates1($id, $dates['date1'], $dates['date2']);
            }

            $grouped = [ 
            ];

            foreach ($tbl_phones2 as $tenant_arrears) {
                $grouped[$tenant_arrears['tenant_id']] = $tenant_arrears;
            }

            $grouped2 = [ 
            ];

            foreach ($tbl_phones3 as $tenant_arrears1) {
                $grouped2[$tenant_arrears1['tenant_id']] = $tenant_arrears1;
            }

            $data['tbl_phones'] = $tbl_phones;
            $data['tbl_phonesa'] = $tbl_phones;
            $data['shop'] = $this->njega->get_shop($id);
            $data['tbl_phones1'] = $tbl_phones1;
            $data['tbl_phones2'] = $tbl_phones2;
            $data['tbl_phones3'] = $tbl_phones3;
            $data['tbl_phones4'] = $tbl_phones4;
            $data['tbl_phones5'] = $tbl_phones5;
            $data['tbl_company'] = $tbl_company;
            $data['grouped'] = $grouped;
            $data['grouped2'] = $grouped2;

            $this->load->view('pages1/header');
            $this->load->view('receptionist/issueinvoice', $data);
            $this->load->view('pages1/footer');
                            
        }
        
    public function gettenant_invoice($id)
        {
            
            $data = array( 'tenant_id' => $id
               );
            
            //$id = $_POST['tenantid'];

            $tbl_phones = [];
            $tbl_phonesa = [];
            $tbl_phones1 = [];
            $tbl_phones2 = [];
            $tbl_phones3 = [];
            $tbl_phones4 = [];
            $tbl_phones5 = [];
            $tbl_company = []; 


                
                //$date1 = strtotime($dates)- (60*60*24);
                
                $datetry = $this->njega->get_lastpaymentdate($id);
                
                $datetry1 = $this->njega->get_lastpaymentdate1($id);
                
                $date1 = $datetry['date_payed'];
                
                $date2 = $datetry1['date_payed'];
                
                $dates = '1900/01/01';

                $datey = strtotime($date1)- (60*60*24);

                $dateys = date('Y-m-d',$datey);

                //var_dump($dateys); exit();
                
                 
                $tbl_phones=  $this->njega->search_shop_records_by_datesinv($id, $date1, $date2);
                $tbl_phonesa=  $this->njega->search_shop_records_by_datestotalinv($id, $date1, $date2);
                $tbl_phones1=  $this->njega->appartsalestotalinginv($id, $date1, $date2);
                $tbl_phones2=  $this->njega->appartsalestotaling1inv($id, $dates, $dateys, $date2);
                $tbl_phones3=  $this->njega->appartsalestotaling2inv($id, $dates, $date1, $date2);
                $tbl_phones4=  $this->njega->appartsalestotaling4inv($id, $dates, $dateys, $date2);
                $tbl_phones5=  $this->njega->appartsalestotaling5inv($id, $dates, $dateys, $date2);
                $tbl_company = $this->njega->get_companydetails();
            

            $grouped = [ 
            ];

            foreach ($tbl_phones2 as $tenant_arrears) {
                $grouped[$tenant_arrears['tenant_id']] = $tenant_arrears;
            }

            $grouped2 = [ 
            ];

            foreach ($tbl_phones3 as $tenant_arrears1) {
                $grouped2[$tenant_arrears1['tenant_id']] = $tenant_arrears1;
            }

            $data['tbl_phones'] = $tbl_phones;
            $data['tbl_phonesa'] = $tbl_phones;
            $data['shop'] = $this->njega->get_shop($id);
            $data['tbl_phones1'] = $tbl_phones1;
            $data['tbl_phones2'] = $tbl_phones2;
            $data['tbl_phones3'] = $tbl_phones3;
            $data['tbl_phones4'] = $tbl_phones4;
            $data['tbl_phones5'] = $tbl_phones5;
            $data['tbl_company'] = $tbl_company;
            $data['grouped'] = $grouped;
            $data['grouped2'] = $grouped2;

            $this->load->view('pages1/header');
            $this->load->view('receptionist/issueinvoice', $data);
            $this->load->view('pages1/footer');
                            
        }                

    public function paymentsreport()
    {
           $data['date1']= "";
           $data['date2']= "";
           //$data['tbl_payment'][0]['rent_payed'] = "";
           //$data['tbl_break'][0]['total1'] = "";
        
           if($_SERVER['REQUEST_METHOD']=='POST'){
            $date1 = $_POST['date1'];
            $date2 = $_POST['date2'];
           
           $data['date1'] = $date1;
           $data['date2'] = $date2;
           
           $data['tbl_break']= $this->njega->subtotall($date1,$date2);
           $data['tbl_breakdown']= $this->njega->get_dailysalel($date1,$date2);
           $data['tbl_sales'] = $this->njega->get_salesreportl($date1,$date2);
           }
        
        $this->load->view('pages1/headerdate');
        $this->load->view('receptionist/paymentsreport',$data);
        $this->load->view('pages1/footerdate');
     }  
     
    public function archive()
        {
            
            $data['tbl_tenants'] = $this->njega->get_pastrecords();
            $data['tbl_appartments'] = $this->njega->get_appartments1();
            $data['tbl_appartments1'] = $this->njega->get_appartments();
            $data['tbl_houses'] = $this->njega->get_houses();
            $data['company_name'] = $this->njega->get_companyname();
                $this->load->view('pages1/headertbl');
                $this->load->view('receptionist/archives',$data);
                $this->load->view('pages1/footertbl');
                
        } 
        
    public function addnotes()
           {
              $id = $_POST['tenantid'];

                 $this->njega->addnotes($id);
                 $this->session->set_flashdata('message', 'Notes Saved Successfully..');
                 redirect('receptionist/archive');
           }    

    public function logout() 
        {
        $data = ['id_user', 'username'];
        $this->session->sess_destroy($data);
 
        redirect('/');
        }
    
    
}    