<style>

  table {
    border: 1px solid #ccc;
    width: 100%;
    margin:0;
    padding:0;
    border-collapse: collapse;
    border-spacing: 0;
  }

  table tr {
    border: 1px solid #ddd;
    padding: 5px;
  }

  table th, table td {
    padding: 10px;
    
  }

  table th {
    text-transform: capitalize;
    font-size: 14px;
  }

  @media screen and (max-width: 600px) {

    table {
      border: 0;
    }

    table thead {
      display: none;
    }

    table tr {
      margin-bottom: 10px;
      display: block;
      border-bottom: 2px solid #ddd;
      overflow-wrap: break-word;
    }

    table td {
      display: block;
      text-align: right;
      font-size: 13px;
      border-bottom: 1px dotted #ccc;
    }

    table td:last-child {
      border-bottom: 0;
    }

    table td:before {
      content: attr(data-label);
      float: left;
      text-transform: capitalize;
      font-weight: bold;
    }
  }
    </style>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <h1>
        Apartments
        <small>Apartments List</small>
      </h1>
      <ol class="breadcrumb">
        <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
        <li><a href="#">Apartments</a></li>
        <li class="active">Apartments List</li>
      </ol>
    </section>

    <!-- Main content -->
    <section class="content">
      <div class="row">
        <div class="col-xs-12">
          <div class="box">
            <div class="box-header">
              <h3 class="box-title">View Apartments List</h3>
            </div>

  <?php if($this->session->flashdata('message')){?>
    <div class="alert alert-success fade in"><button class="close" data-dismiss="alert">×</button>
    <?php echo $this->session->flashdata('message'); ?> 
  </div>
  <?php } ?>
  
  <?php if($this->session->flashdata('message1')){?>
    <div class="alert alert-danger fade in"><button class="close" data-dismiss="alert">×</button>
    <?php echo $this->session->flashdata('message1'); ?> 
  </div>
  <?php } ?>

          <div class="box">
            <!-- /.box-header -->
            <div class="box-body">
              <div class="table-responsive">
              <table id="example1" class="table table-bordered table-hover">
                <thead>
                <tr>
                                        <th>No.</th>
                                        <th>Apartment</th>
                                        <th>Location</th>
                                        <th>Garbage Fee</th>
                                        <th hidden>Commission</th>
                                        <th>Water Unit Price</th>
                                        <th>Bank Info</th>
                                        <th>Date Added</th>
                                        <th hidden>Report</th>
                                        <th>Edit</th>
                                        <th>Delete</th>
                                        <th>Process</th>
                </tr>
                </thead>
                <tbody>
                <?php foreach ($tbl_appartments as $detail){ ?>
                <tr style="padding-bottom:10px; padding-top:35px; box-shadow: 5px 3px 8px #888888; width:240%;">
                                        <td data-label="Apt No"><?php  echo $detail['id']; ?></td>
                                        <td data-label="Apt Name"><?php  echo $detail['name']; ?></td>
                                        <td data-label="Location"><?php  echo $detail['landlord']; ?></td>
                                        <td data-label="Garbage"><?php  echo $detail['garbage_fee']; ?></td>
                                        <td hidden><?php  echo $detail['commission'].'%'; ?></td>
                                        <td data-label="Water Unit"><?php  echo $detail['water_unit'].'Ksh'; ?></td>
                                        <td data-label="Bank Info"><?php  echo $detail['bankinfo']; ?></td>
                                        <td data-label="Date"><?php  echo $detail['date_created']; ?></td>
                                        <td hidden>
                                        <p><a href="<?php echo site_url()."/Admin/viewrecords/".$detail['id'] ?>" class="btn btn-primary"><i class="glyphicon glyphicon-file glyphicon-white"></i></a></p>
                                        </td>
                                        <td data-label="Edit"><button type="button" class="btn btn-success patient-queue" data-toggle="modal" data-target="#modal-default" data-tenantid="<?php echo $detail['id']; ?>" data-bank="<?php echo $detail['bankinfo']; ?>" data-name="<?php echo $detail['name']; ?>" data-garbage="<?php echo $detail['garbage_fee']; ?>" data-commission="<?php echo $detail['commission']; ?>" data-waterunit="<?php echo $detail['water_unit']; ?>" data-location="<?php echo $detail['landlord']; ?>"><i class="glyphicon glyphicon-edit glyphicon-white"></i></button></td>
                                        <td data-label="Delete">
                                        <p><a href="<?php echo site_url()."/Admin/delete1/".$detail['id'] ?>" class="btn btn-danger delete-appointment"><i class="glyphicon glyphicon-trash glyphicon-white"></i></a></p>
                                        </td>
                                        <td data-label="Process">
                                        <p><a href="<?php echo site_url()."/Admin/close_month/".$detail['id'] ?>" class="btn btn-primary">Process Invoice</a></p>
                                        </td>
                </tr>
                <?php } ?>
                </tfoot>
              </table>
              </div>
            </div>
            <!-- /.box-body -->
          </div>
          <!-- /.box -->
        </div>
        <!-- /.col -->
      </div>
      <!-- /.row -->
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->

<!-----Modal Default---->
        <div class="modal fade" id="modal-default">
          <div class="modal-dialog">
            <div class="modal-content">
                      <div class="col-md-10">
          <!-- Widget: user widget style 1 -->
          <div class="box box-widget widget-user-2">
            <!-- Add the bg color to the header using any of the bg-* classes -->
            <div class="widget-user-header bg-blue">
              <div class="widget-user-image">
                <img class="img-circle" src="<?php echo base_url();?>assets/dist/img/sheshaki.jpg" alt="User Avatar">
              </div>
              <!-- /.widget-user-image -->
              <h3 class="widget-user-username">Edit Appartment</h3>
              <?php foreach ($company_name as $detail1){ ?> <?php } ?>
              <h5 class="widget-user-desc"><?php  echo $detail1['name']; ?></h5>
            </div>
            <div class="box-footer no-padding">
            <form role="form" action="updateappartment" method="post">  
              <ul class="nav nav-stacked">
                <input type="hidden" value="" class="form-control" name="tenantid">
                <li><a href="#">Apartment Name <span class="pull-right bg-blue"><input type="text" class="form-control" name="name"></span></a></li>
                <li><a href="#">Landlord <span class="pull-right bg-blue"><input type="text" class="form-control" name="location"></span></a></li>
                <li><a href="#">Garbage Fee <span class="pull-right bg-blue"><input type="text" class="form-control" name="garbagefee"></span></a></li>
                <li><a href="#">Commission <span class="pull-right bg-blue"><input type="text" class="form-control" name="commission"></span></a></li>
                <li><a href="#">Water Unit <span class="pull-right bg-blue"><input type="text" class="form-control" name="waterunit"></span></a></li>
                <li><a href="#">Bank Info <span class="pull-right bg-blue"><input type="text" class="form-control" name="bankinfo"></span></a></li>
                <li><a href="#"> <button type="submit" class="btn btn-block bg-blue btn-lg">Update</button></a></li>
              </ul>
            </form>
            </div>
          </div>
          <!-- /.widget-user -->
        </div>
            </div>
            <!-- /.modal-content -->
          </div>
          <!-- /.modal-dialog -->
        </div>
<!-- /.Modal Default-->

  <footer class="main-footer">
    <div class="pull-right hidden-xs">
      <b>Version</b> 2.4.13
    </div>
    <strong>Copyright &copy; 2019 <a href="#">Shak Solutions</a>.</strong> All rights
    reserved.
  </footer>
<!-- page script -->
<script>
  $(function () {
    $('#example1').DataTable()
    $('#example2').DataTable({
      'paging'      : true,
      'lengthChange': false,
      'searching'   : false,
      'ordering'    : true,
      'info'        : true,
      'autoWidth'   : false
    })
  })
</script>

    <script>
        
    $(function(){
        $(document).on('click', 'button.patient-queue', function(){
            var patientId = $(this).attr('data-tenantid');
            $('input[name=tenantid]').val(patientId);
            
            $('img[id=tenant_pic]').prop('src', 'http://localhost/Njega/uploads/tenant_imgs/' + patientId + '.jpg');
        });
    })

    </script>

    <script>
        
    $(function(){
        $(document).on('click', 'button.patient-queue', function(){
            var patientId = $(this).attr('data-tenantid');
            $('input[name=tenantid]').val(patientId);
        });
    })

    </script>
    <script>
        
    $(function(){
        $(document).on('click', 'button.patient-queue', function(){
            var patientId = $(this).attr('data-name');
            $('input[name=name]').val(patientId);
        });
    })

    </script>
    
    <script>
        
    $(function(){
        $(document).on('click', 'button.patient-queue', function(){
            var patientId = $(this).attr('data-bank');
            $('input[name=bankinfo]').val(patientId);
        });
    })

    </script>

    <script>
        
    $(function(){
        $(document).on('click', 'button.patient-queue', function(){
            var patientId = $(this).attr('data-garbage');
            $('input[name=garbagefee]').val(patientId);
        });
    })

    </script>

    <script>
        
    $(function(){
        $(document).on('click', 'button.patient-queue', function(){
            var patientId = $(this).attr('data-commission');
            $('input[name=commission]').val(patientId);
        });
    })

    </script>

    <script>
        
    $(function(){
        $(document).on('click', 'button.patient-queue', function(){
            var patientId = $(this).attr('data-waterunit');
            $('input[name=waterunit]').val(patientId);
        });
    })

    </script>

    <script>
        
    $(function(){
        $(document).on('click', 'button.patient-queue', function(){
            var patientId = $(this).attr('data-location');
            $('input[name=location]').val(patientId);
        });
    })

    </script>

<script>
        $('.delete-appointment').on('click', function(){
            var deleteAppointment = confirm('Are you sure you want to delete this Appartment?');
            if (deleteAppointment){
                return true;
            }
            else{
                return false;
            }
        });
    </script>
</body>
</html>
