<style>

  table {
    border: 1px solid #ccc;
    width: 100%;
    margin:0;
    padding:0;
    border-collapse: collapse;
    border-spacing: 0;
  }

  table tr {
    border: 1px solid #ddd;
    padding: 5px;
  }

  table th, table td {
    padding: 10px;
    
  }

  table th {
    text-transform: capitalize;
    font-size: 14px;
  }

  @media screen and (max-width: 600px) {

    table {
      border: 0;
    }

    table thead {
      display: none;
    }

    table tr {
      margin-bottom: 10px;
      display: block;
      border-bottom: 2px solid #ddd;
      overflow-wrap: break-word;
    }

    table td {
      display: block;
      text-align: right;
      font-size: 13px;
      border-bottom: 1px dotted #ccc;
    }

    table td:last-child {
      border-bottom: 0;
    }

    table td:before {
      content: attr(data-label);
      float: left;
      text-transform: capitalize;
      font-weight: bold;
    }
  }
    </style>


  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <h1>
        Tenants
        <small>Tenant Records</small>
      </h1>
      <ol class="breadcrumb">
        <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
        <li><a href="#">Records</a></li>
        <li class="active">Tenant Records</li>
      </ol>
    </section>

    <!-- Main content -->
    <section class="content">
      <div class="row">
        <div class="col-xs-12">
          <div class="box">
            <div class="box-header">
              <h3 class="box-title">View Tenant Records</h3>
            </div>

  <?php if($this->session->flashdata('message')){?>
    <div class="alert alert-success fade in"><button class="close" data-dismiss="alert">×</button>
    <?php echo $this->session->flashdata('message'); ?> 
  </div>
  <?php } ?>
  
  <?php if($this->session->flashdata('message1')){?>
    <div class="alert alert-danger fade in"><button class="close" data-dismiss="alert">×</button>
    <?php echo $this->session->flashdata('message1'); ?> 
  </div>
  <?php } ?>

          <div class="box">
            <!-- /.box-header -->
            <div class="box-body">
              <div class="table-responsive">
              <table id="example1" class="table table-bordered table-hover">
                <thead>
                <tr>
                  <th>No</th>
                  <th>Profile</th>
                  <th>Email Invoice</th>
                  <th>Whatsapp Invoice</th>
                  <th>Firstname</th>
                  <th>Phone</th>
                  <th>House</th>
                  <th>Balances</th>
                  <th>Shift</th>
                  <th>Vacate</th>
                </tr>
                </thead>
                <tbody>
                <?php foreach ($tbl_tenants as $detail){ 

                   $photo_status = NULL;

                    if ($detail['photo'] !== NULL) {
                      $photo_status = $detail['photo'];
                    } else {
                        $photo_status = 'rosecliff.png';
                     } ?>

                <tr style="padding-bottom:10px; padding-top:35px; box-shadow: 5px 3px 8px #888888; width:100%;">
                  <td data-label="Tenant No"><?php  echo $detail['id']; ?></td>
                  <td data-label="Profile"><button type="button" class="btn btn-primary patient-queue" data-toggle="modal" data-target="#modal-default" data-tenantid="<?php echo $detail['id']; ?>" data-tenantname="<?php echo $detail['firstname']; ?>" data-tenantnumber="<?php echo "0".$detail['phone']; ?>" data-housenumber="<?php echo $detail['house_no']; ?>" data-appartment="<?php echo $detail['name']; ?>" data-dateoccupied1="<?php echo $detail['date']; ?>" data-housedepo1="<?php echo $detail['house_depo']; ?>" data-waterdepo1="<?php echo $detail['water_depo']; ?>" data-electricitydepo1="<?php echo $detail['electricity_depo']; ?>"><i class="glyphicon glyphicon-user glyphicon-white"></i>&nbsp;Tenant Profile</button></td>
                  <td data-label="Email Invoice"><button type="button" class="btn btn-danger patient-queue1" data-toggle="modal" data-target="#modal-invoice1" data-id1="<?php  echo $detail['id']; ?>"><i class="fa fa-envelope-o"></i>&nbsp;Email Invoice</button></td>
                  <td data-label="Whatsapp Invoice"><button type="button" class="btn btn-success patient-queue" data-toggle="modal" data-target="#modal-invoice" data-id="<?php  echo $detail['id']; ?>"><i class="fa fa-whatsapp"></i>&nbsp;Whatsapp Inv</button></td>  
                  <td data-label="Tenant Name"><?php  echo $detail['firstname']; ?></td>
                  <td data-label="Phone No"><?php  echo "0". $detail['phone']; ?></td>
                  <td data-label="House No"><?php  echo $detail['house_no']; ?></td>
                  <td data-label="Balance" id="jojobal"><b><?php echo  number_format(($detail['totgarbagefee']+(($detail['totcurrwater']-$detail['totprevwater']) * $detail['waterunit1'])+$detail['totelecbill']+$detail['prent_payable']+$detail['previous_balances'])-($detail['prent_payed']+$detail['pwater_payed']+$detail['p_discount']+$detail['pgarbage_paid'])); ?></b></td>
                  <td data-label="Shift Hse"><button type="button" class="btn btn-success patient-queue" data-toggle="modal" data-target="#modal-default4" data-tenantid="<?php echo $detail['id']; ?>" data-tenantname="<?php echo $detail['firstname']; ?>" data-tenantnumber="<?php echo "0".$detail['phone']; ?>" data-housenumber="<?php echo $detail['house_no']; ?>" data-houseid="<?php echo $detail['houseid']; ?>" data-appartid="<?php echo $detail['appart_id']; ?>" data-appartment="<?php echo $detail['name']; ?>" data-dateoccupied1="<?php echo $detail['date']; ?>" data-housedepo1="<?php echo $detail['house_depo']; ?>" data-waterdepo1="<?php echo $detail['water_depo']; ?>" data-electricitydepo1="<?php echo $detail['electricity_depo']; ?>"><i class="fa fa-exchange"></i>&nbsp;Shift</button></td>
                  <td data-label="Vacate Tenant"><button type="button" class="btn btn-danger patient-queue" data-toggle="modal" data-target="#modal-default3" data-tenantid="<?php echo $detail['id']; ?>" data-tenantname="<?php echo $detail['firstname']; ?>" data-tenantnumber="<?php echo "0".$detail['phone']; ?>" data-housenumber="<?php echo $detail['house_no']; ?>" data-appartid="<?php echo $detail['appart_id']; ?>" data-dateoccupied1="<?php echo $detail['date']; ?>" data-housedepo1="<?php echo $detail['house_depo']; ?>" data-waterdepo1="<?php echo $detail['water_depo']; ?>" data-electricitydepo1="<?php echo $detail['electricity_depo']; ?>"><i class="fa fa-unlock"></i>&nbsp;Vacate</button></td>
                </tr>
                <?php } ?>
                </tfoot>
              </table>
              </div>
            </div>
            <!-- /.box-body -->
          </div>
          <!-- /.box -->
        </div>
        <!-- /.col -->
      </div>
      <!-- /.row -->
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->

  <!-----Modal Default---->
        <div class="modal fade" id="modal-invoice">
          <div class="modal-dialog">
            <div class="modal-content">
                      <div class="col-md-10">
          <!-- Widget: user widget style 1 -->
          <div class="box box-widget widget-user-2">
            <!-- Add the bg color to the header using any of the bg-* classes -->
            <div class="widget-user-header bg-green">
              <div class="widget-user-image">
                
              </div>
              <!-- /.widget-user-image -->
              <h3 class="widget-user-username">Enter Date</h3>
            </div>
            <div class="box-footer no-padding">
            <form role="form" action="<?php echo base_url();?>index.php/admin/whatsappshare_invoice" target="_blank" method="post">  
              <ul class="nav nav-stacked">
                <input type="hidden" name="id">
                <li><a href="#">Enter Date <span class="pull-right bg-green"><input type="date" class="form-control" name="date" required></span></a></li>
                <li><a href="#"> <button type="submit" class="btn btn-block bg-green btn-lg">Share</button></a></li>
              </ul>
            </form>
            </div>
          </div>
          <!-- /.widget-user -->
        </div>
            </div>
            <!-- /.modal-content -->
          </div>
          <!-- /.modal-dialog -->
        </div>
<!-- /.Modal Default-->

<!-----Modal Default---->
        <div class="modal fade" id="modal-invoice1">
          <div class="modal-dialog">
            <div class="modal-content">
                      <div class="col-md-10">
          <!-- Widget: user widget style 1 -->
          <div class="box box-widget widget-user-2">
            <!-- Add the bg color to the header using any of the bg-* classes -->
            <div class="widget-user-header bg-red">
              <div class="widget-user-image">
                
              </div>
              <!-- /.widget-user-image -->
              <h3 class="widget-user-username">Enter Date</h3>
            </div>
            <div class="box-footer no-padding">
            <form role="form" action="<?php echo base_url();?>index.php/contact/index" method="post">  
              <ul class="nav nav-stacked">
                <input type="hidden" name="id1">
                <li><a href="#">Enter Date <span class="pull-right bg-green"><input type="date" class="form-control" name="date" required></span></a></li>
                <li><a href="#"> <button type="submit" class="btn btn-block bg-red btn-lg">Share</button></a></li>
              </ul>
            </form>
            </div>
          </div>
          <!-- /.widget-user -->
        </div>
            </div>
            <!-- /.modal-content -->
          </div>
          <!-- /.modal-dialog -->
        </div>
<!-- /.Modal Default-->

  <!-----Modal Default---->
        <div class="modal fade" id="modal-default">
          <div class="modal-dialog">
            <div class="modal-content">
                      <div class="col-md-20">
          <!-- Widget: user widget style 1 -->
          <div class="box box-widget widget-user-2">
            <!-- Add the bg color to the header using any of the bg-* classes -->
            <div class="widget-user-header bg-yellow">
              <div class="widget-user-image">
                <img class="img-circle" src="<?php echo base_url();?>assets/dist/img/sheshaki.jpg" alt="User Avatar">
              </div>
              <!-- /.widget-user-image -->
              <h3 class="widget-user-username">Tenant Records</h3>
              <?php foreach ($company_name as $detail1){ ?> <?php } ?>
              <h5 class="widget-user-desc"><?php  echo $detail1['name']; ?></h5>
            </div>
            <div class="box-footer no-padding">
              <ul class="nav nav-stacked">
                <li><a href="#">Tenant Name <span class="pull-right bg-blue"><input type="text" value="" class="form-control" name="tenantname" readonly=""></span></a></li>
                <li><a href="#">Contact <span class="pull-right bg-blue"><input type="text" value="" class="form-control" name="tenantnumber" readonly=""></span></a></li>
                <li><a href="#">Apartment <span class="pull-right bg-blue"><input type="text" value="" class="form-control" name="appartment" readonly=""></span></a></li>
                <li><a href="#">House No<span class="pull-right bg-blue"><input type="text" value="" class="form-control" name="housenumber" readonly=""></span></a></li>
                <li><a href="#">Date Occupied <span class="pull-right bg-blue"><input type="text" value="" class="form-control" name="dateoccupied1" readonly=""></span></a></li>
                <li><a href="#">House Depo <span class="pull-right bg-blue"><input type="text" value="" class="form-control" name="housedepo1" readonly=""></span></a></li>
                <li><a href="#">Water Depo <span class="pull-right bg-blue"><input type="text" value="" class="form-control" name="waterdepo1" readonly=""></span></a></li>
                <li><a href="#">Electricity Depo <span class="pull-right bg-blue"><input type="text" value="" class="form-control" name="electricitydepo1" readonly=""></span></a></li><br>
              <form action="<?php echo base_url(); ?>index.php/admin/profile" method="post">
                <li><input type="hidden" value="" name="tenantid">
                  <button type="submit" class="btn btn-block bg-yellow btn-lg"><i class="fa fa-user"></i>&nbsp;&nbsp;View More</button></li><br>
              </form>
              </ul>
            </div>
          </div>
          <!-- /.widget-user -->
        </div>
            </div>
            <!-- /.modal-content -->
          </div>
          <!-- /.modal-dialog -->
        </div>
<!-- /.Modal Default-->

<!-----Modal Default---->
        <div class="modal fade" id="modal-default1">
          <div class="modal-dialog">
            <div class="modal-content">
                      <div class="col-md-10">
          <!-- Widget: user widget style 1 -->
          <div class="box box-widget widget-user-2">
            <!-- Add the bg color to the header using any of the bg-* classes -->
            <div class="widget-user-header bg-blue">
              <div class="widget-user-image">
                <img class="img-circle" src="<?php echo base_url();?>assets/dist/img/sheshaki.jpg" alt="User Avatar">
              </div>
              <!-- /.widget-user-image -->
              <h3 class="widget-user-username">Make Payment</h3>
              <?php foreach ($company_name as $detail1){ ?> <?php } ?>
              <h5 class="widget-user-desc"><?php  echo $detail1['name']; ?></h5>
            </div>
            <div class="box-footer no-padding">
            <form role="form" action="pay_rent" method="post">  
              <ul class="nav nav-stacked">
                <input type="hidden" value="" class="form-control" name="tenantid">
                <input type="hidden" class="form-control" name="appartid">
                <input type="hidden" class="form-control" name="housenumber">
                <li><a href="#">Date of Payment <span class="pull-right bg-blue"><input type="text" name="date" class="form-control" data-inputmask="'alias': 'yyyy/mm/dd'" data-mask required></span></a></li>
                <li><a href="#">Rent Payable<span class="pull-right bg-blue"><input type="number" class="form-control" name="rentpayable"></span></a></li>
                <li><a href="#">Rent Paid<span class="pull-right bg-blue"><input type="number" class="form-control" name="amount"></span></a></li>
                <li><a href="#">Water Bill<span class="pull-right bg-blue"><input type="number" class="form-control" name="waterbill1"></span></a></li>
                <li><a href="#">Water Paid <span class="pull-right bg-blue"><input type="number" class="form-control" name="waterbill"></span></a></li>
                <li><a href="#">Electricity Bill <span class="pull-right bg-blue"><input type="number" class="form-control" name="elecbill"></span></a></li>
                <li><a href="#">Electricity Paid <span class="pull-right bg-blue"><input type="number" class="form-control" name="elecpaid"></span></a></li>
                <li><a href="#">Garbage Fee <span class="pull-right bg-blue"><input type="number" class="form-control" name="garbagefee"></span></a></li>
                <li><a href="#">Garbage Paid <span class="pull-right bg-blue"><input type="number" class="form-control" name="garbage"></span></a></li>
                <li><a href="#"> <button type="submit" class="btn btn-block bg-blue btn-lg"><i class="fa fa-credit-card"></i>&nbsp;&nbsp;Make Payment</button></a></li>
              </ul>
            </form>
            </div>
          </div>
          <!-- /.widget-user -->
        </div>
            </div>
            <!-- /.modal-content -->
          </div>
          <!-- /.modal-dialog -->
        </div>
<!-- /.Modal Default-->

<!-----Modal Default---->
        <div class="modal fade" id="modal-default2">
          <div class="modal-dialog">
            <div class="modal-content">
                      <div class="col-md-10">
          <!-- Widget: user widget style 1 -->
          <div class="box box-widget widget-user-2">
            <!-- Add the bg color to the header using any of the bg-* classes -->
            <div class="widget-user-header bg-green">
              <div class="widget-user-image">
                <img class="img-circle" src="<?php echo base_url();?>assets/dist/img/sheshaki.jpg" alt="User Avatar">
              </div>
              <!-- /.widget-user-image -->
              <h3 class="widget-user-username">Deposits</h3>
              <?php foreach ($company_name as $detail1){ ?> <?php } ?>
              <h5 class="widget-user-desc"><?php  echo $detail1['name']; ?></h5>
            </div>
            <div class="box-footer no-padding">
            <form role="form" action="deposits" method="post">  
              <ul class="nav nav-stacked">
                <input type="hidden" value="" class="form-control" name="tenantid">
                <li><a href="#">Agreement <span class="pull-right bg-blue"><input type="number" class="form-control" name="agreement"></span></a></li>
                <li><a href="#">Water Depo <span class="pull-right bg-blue"><input type="number" class="form-control" name="waterdepo"></span></a></li>
                <li><a href="#">Electricity Depo<span class="pull-right bg-blue"><input type="number" class="form-control" name="electricitydepo"></span></a></li>
                <li><a href="#">House Depo <span class="pull-right bg-blue"><input type="number" class="form-control" name="housedepo"></span></a></li>
                <li><a href="#"> <button type="submit" class="btn btn-block bg-green btn-lg">Make Payment</button></a></li>
              </ul>
            </form>
            </div>
          </div>
          <!-- /.widget-user -->
        </div>
            </div>
            <!-- /.modal-content -->
          </div>
          <!-- /.modal-dialog -->
        </div>
<!-- /.Modal Default-->
<!-----Modal Default---->
        <div class="modal fade" id="modal-default3">
          <div class="modal-dialog">
            <div class="modal-content">
                      <div class="col-md-10">
          <!-- Widget: user widget style 1 -->
          <div class="box box-widget widget-user-2">
            <!-- Add the bg color to the header using any of the bg-* classes -->
            <div class="widget-user-header bg-red">
              <div class="widget-user-image">
                <img class="img-circle" src="<?php echo base_url();?>assets/dist/img/sheshaki.jpg" alt="User Avatar">
              </div>
              <!-- /.widget-user-image -->
              <h3 class="widget-user-username">Vacate Tenant</h3>
              <?php foreach ($company_name as $detail1){ ?> <?php } ?>
              <h5 class="widget-user-desc"><?php  echo $detail1['name']; ?></h5>
            </div>
            <div class="box-footer no-padding">
            <form role="form" action="delete" method="post" onsubmit='disableButton()'>  
              <ul class="nav nav-stacked">
                <input type="hidden" value="" class="form-control" name="tenantid">
                <input type="hidden" class="form-control" name="housenumber">
                <input type="hidden" class="form-control" name="appartid">
                <li><a href="#">Date of Vacation <span class="pull-right bg-blue"><input type="date" name="date_vacated" class="form-control" data-inputmask="'alias': 'yyyy/mm/dd'" data-mask required></span></a></li>
                <li><a href="#"> <button type="submit" id='btn' class="btn btn-block bg-red btn-lg"><i class="fa fa-unlock"></i>&nbsp;&nbsp;Vacate Tenant</button></a></li>
              </ul>
            </form>
            </div>
          </div>
          <!-- /.widget-user -->
        </div>
            </div>
            <!-- /.modal-content -->
          </div>
          <!-- /.modal-dialog -->
        </div>
<!-- /.Modal Default-->

<!-----Modal Default---->
        <div class="modal fade" id="modal-default4">
          <div class="modal-dialog">
            <div class="modal-content">
                      <div class="col-md-10">
          <!-- Widget: user widget style 1 -->
          <div class="box box-widget widget-user-2">
            <!-- Add the bg color to the header using any of the bg-* classes -->
            <div class="widget-user-header bg-green">
              <div class="widget-user-image">
                <img class="img-circle" src="<?php echo base_url();?>assets/dist/img/sheshaki.jpg" alt="User Avatar">
              </div>
              <!-- /.widget-user-image -->
              <h3 class="widget-user-username">Shift Tenant</h3>
              <?php foreach ($company_name as $detail1){ ?> <?php } ?>
              <h5 class="widget-user-desc"><?php  echo $detail1['name']; ?></h5>
            </div>
            <div class="box-footer no-padding">
            <form role="form" action="shift_tenant" method="post">  
              <ul class="nav nav-stacked">
                <input type="hidden" value="" class="form-control" name="tenantid">
                <input type="hidden" class="form-control" id="demo1" name="appartmentid">
                <input type="hidden" class="form-control" id="demo1" name="houseid">
                <li><a href="#">Move To<span class="pull-right bg-blue"><select class="form-control" id="myList" name="houseno" value="<?php echo set_value('houseno'); ?>" required>
                     <?php foreach ($tbl_houses as $detail){ ?>
                     <option value="<?php echo $detail['id']; ?>" data-bprice="<?php echo $detail['appart_id']; ?>"><?php  echo $detail['house_no']; ?>     (<?php  echo $detail['name']; ?>)</option>
                  <?php } ?>   
                </select></span></a></li>
                <li><a href="#">Current House <span class="pull-right bg-blue"><input type="text" name="housenumber" class="form-control" readonly></span></a></li>
                <li><a href="#">Current Apartment <span class="pull-right bg-blue"><input type="text" name="appartment" class="form-control" readonly></span></a></li>
                <li><a href="#"> <button type="submit" class="btn btn-block bg-green btn-lg"><i class="fa fa-unlock"></i>&nbsp;&nbsp;Shift Tenant</button></a></li>
              </ul>
            </form>
            </div>
          </div>
          <!-- /.widget-user -->
        </div>
            </div>
            <!-- /.modal-content -->
          </div>
          <!-- /.modal-dialog -->
        </div>
<!-- /.Modal Default-->

<!-----Modal Default---->
        <div class="modal fade" id="modal-balance">
          <div class="modal-dialog">
            <div class="modal-content">
                      <div class="col-md-10">
          <!-- Widget: user widget style 1 -->
          <div class="box box-widget widget-user-2">
            <!-- Add the bg color to the header using any of the bg-* classes -->
            <div class="widget-user-header bg-blue">
              <div class="widget-user-image">
                <img class="img-circle" src="<?php echo base_url();?>assets/dist/img/sheshaki.jpg" alt="User Avatar">
              </div>
              <!-- /.widget-user-image -->
              <h3 class="widget-user-username">Add Balance</h3>
              <?php foreach ($company_name as $detail1){ ?> <?php } ?>
              <h5 class="widget-user-desc"><?php  echo $detail1['name']; ?></h5>
            </div>
            <div class="box-footer no-padding">
            <form role="form" action="<?php echo base_url();?>index.php/admin/update_balance" method="post">  
              <ul class="nav nav-stacked">
                <input type="hidden" value="" class="form-control" name="tenantid">
                <li><a href="#">Balance <span class="pull-right bg-blue"><input type="number" name="balancebf" class="form-control" autocomplete="off" required></span></a></li>
                <li><a href="#"> <button type="submit" class="btn btn-block bg-blue btn-lg"><i class="fa fa-money"></i>&nbsp;&nbsp;Add Balance</button></a></li>
              </ul>
            </form>
            </div>
          </div>
          <!-- /.widget-user -->
        </div>
            </div>
            <!-- /.modal-content -->
          </div>
          <!-- /.modal-dialog -->
        </div>
<!-- /.Modal Default-->  

    <!--<div class="modal fade displaycontent" id="modal-sm" aria-hidden="true">


  
    </div>-->
    
    
  <footer class="main-footer">
    <div class="pull-right hidden-xs">
      <b>Version</b> 2.4.13
    </div>
    <strong>Copyright &copy; 2019 <a href="#">Shak Solutions</a>.</strong> All rights
    reserved.
  </footer>
<!-- page script -->
<script>
  $(function () {
    $('#example1').DataTable()
    $('#example2').DataTable({
      'paging'      : true,
      'lengthChange': false,
      'searching'   : false,
      'ordering'    : true,
      'info'        : true,
      'autoWidth'   : false
    })
  })
</script>

    <script>
        
    $(function(){
        $(document).on('click', 'button.patient-queue', function(){
            var patientId = $(this).attr('data-tenantid');
            $('input[name=tenantid]').val(patientId);
            
            $('img[id=tenant_pic]').prop('src', 'http://localhost/Njega/uploads/tenant_imgs/' + patientId + '.jpg');
        });
    })

    </script>

    <script>
        
    $(function(){
        $(document).on('click', 'button.patient-queue', function(){
            var patientId = $(this).attr('data-id');
            $('input[name=id]').val(patientId);
        });
    })

    </script>

    <script>
        
    $(function(){
        $(document).on('click', 'button.patient-queue1', function(){
            var patientId = $(this).attr('data-id1');
            $('input[name=id1]').val(patientId);
        });
    })

    </script>

    <script>
        
    $(function(){
        $(document).on('click', 'button.patient-queue', function(){
            var patientId = $(this).attr('data-appartid');
            $('input[name=appartid]').val(patientId);
        });
    })

    </script>

    <script>
        
    $(function(){
        $(document).on('click', 'button.patient-queue', function(){
            var patientId = $(this).attr('data-housedepo');
            $('input[name=housedepo]').val(patientId);
        });
    })

    </script>

    <script>
        
    $(function(){
        $(document).on('click', 'button.patient-queue', function(){
            var patientId = $(this).attr('data-waterdepo');
            $('input[name=waterdepo]').val(patientId);
        });
    })

    </script>

    <script>
        
    $(function(){
        $(document).on('click', 'button.patient-queue', function(){
            var patientId = $(this).attr('data-electricitydepo');
            $('input[name=electricitydepo]').val(patientId);
        });
    })

    </script>

    <script>
        
    $(function(){
        $(document).on('click', 'button.patient-queue', function(){
            var patientId = $(this).attr('data-agreement');
            $('input[name=agreement]').val(patientId);
        });
    })

    </script>

    <script>
        
    $(function(){
        $(document).on('click', 'button.patient-queue', function(){
            var patientId = $(this).attr('data-tenantname');
            $('input[name=tenantname]').val(patientId);
        });
    })

    </script>

    <script>
        
    $(function(){
        $(document).on('click', 'button.patient-queue', function(){
            var patientId = $(this).attr('data-tenantnumber');
            $('input[name=tenantnumber]').val(patientId);
        });
    })

    </script>
    
    <script>
        
    $(function(){
        $(document).on('click', 'button.patient-queue', function(){
            var patientId = $(this).attr('data-email');
            $('input[name=address]').val(patientId);
        });
    })

    </script>

    <script>
        
    $(function(){
        $(document).on('click', 'button.patient-queue', function(){
            var patientId = $(this).attr('data-housenumber');
            $('input[name=housenumber]').val(patientId);
        });
    })

    </script>

    <script>
        
    $(function(){
        $(document).on('click', 'button.patient-queue', function(){
            var patientId = $(this).attr('data-rentpayable');
            $('input[name=rentpayable]').val(patientId);
        });
    })

    </script>

    <script>
        
    $(function(){
        $(document).on('click', 'button.patient-queue', function(){
            var patientId = $(this).attr('data-garbage');
            $('input[name=garbagefee]').val(patientId);
        });
    })

    </script>

    <script>
        
    $(function(){
        $(document).on('click', 'button.patient-queue', function(){
            var patientId = $(this).attr('data-houseid');
            $('input[name=houseid]').val(patientId);
        });
    })

    </script>

    <script>
        
    $(function(){
        $(document).on('click', 'button.patient-queue', function(){
            var patientId = $(this).attr('data-appartment');
            $('input[name=appartment]').val(patientId);
        });
    })

    </script>
    <script>
        
    $(function(){
        $(document).on('click', 'button.patient-queue', function(){
            var patientId = $(this).attr('data-dateoccupied1');
            $('input[name=dateoccupied1]').val(patientId);
        });
    })

    </script>
    <script>
        
    $(function(){
        $(document).on('click', 'button.patient-queue', function(){
            var patientId = $(this).attr('data-housedepo1');
            $('input[name=housedepo1]').val(patientId);
        });
    })

    </script>
    <script>
        
    $(function(){
        $(document).on('click', 'button.patient-queue', function(){
            var patientId = $(this).attr('data-waterdepo1');
            $('input[name=waterdepo1]').val(patientId);
        });
    })

    </script>
    <script>
        
    $(function(){
        $(document).on('click', 'button.patient-queue', function(){
            var patientId = $(this).attr('data-electricitydepo1');
            $('input[name=electricitydepo1]').val(patientId);
        });
    })

    </script>

    <script>
        $('.delete-appointment').on('click', function(){
            var deleteAppointment = confirm('Are you sure you want to delete this tenant?');
            if (deleteAppointment){
                return true;
            }
            else{
                return false;
            }
        });
    </script>

    <script>

$(function(){
    
    $('#myList').on('change', function(){
        /*$('#myList').on('click', function(e){
        e.preventDefault();
        var accept = confirm("Are you sure?");
        if (accept) {
            alert("Yes");
        }*/
        $('#demo').val($(this).find('option:selected').data('price'));
        $('#demo1').val($(this).find('option:selected').data('bprice'));
        calculateProfit();
    }).trigger('change');

    $('#demo1, #demo').on('input', function(){
        calculateProfit();
    });
    
});

function calculateProfit(){
    var appartment = $('#demo1').val();
    var sellingPrice = $('#demo').val();
    
    if (name == "" || sellingPrice == "") {
        $('#profit').val("");
    }
    else {
        var sp = parseInt(sellingPrice);
        var bp = parseInt(name)
        if (sp < bp) {
            alert("Selling price cannot be less than the buying price!");
        }
        else{
            var profit = sp - bp;
            $('#profit').val(profit);
        }
    }

}

/*function myFunction() {
    var mylist = document.getElementById("myList");
    document.getElementById("demo").value = mylist.options[mylist.selectedIndex].value;
}*/
</script>

<script type="text/javascript">
//$(".modal-dialog").hide();

$(document).ready(function(){
    $('.load-marks').click(function(){
        var stu_id = $(this).attr('data-id');
        
        $(".displaycontent").html("");
        
        $.ajax({
                type: "POST",
                url: "<?php echo base_url();?>index.php/admin/getmarks",
                data: {'stu_id': stu_id},
                success: function (response) {
                   $(".displaycontent").html(response);
                  
                }
            });
    })
    
    
})

</script>

    <script>
        function disableButton() {
            var btn = document.getElementById('btn');
            btn.disabled = true;
            btn.innerText = 'Posting...'
        }
    </script>

</body>
</html>
